eoFlOrKAtomBinOp(3)

NAME
eoFlOrKAtomBinOp - Bin Crossover using an Atom Crossover that is applied to a FIXED NB of components.

SYNOPSIS

#include <eoFlOrBinOp.h>

Inherits eoBinOp< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoFlOrAtomBinOp (eoBinOp< AtomType > &_op, unsigned _k=1)
default ctor: requires an Atom BinOp and an unsigned
bool operator() (EOT &_eo1, const EOT &_eo2)
applies the Atom BinOp to some components
virtual string className () const
inherited className()

  Private Attributes
unsigned k
eoBinOp< AtomType > & op

Detailed Description

  template<class EOT> class eoFlOrKAtomBinOp< EOT >
Bin Crossover using an Atom Crossover that is applied to a FIXED NB of components.

Definition at line 92 of file eoFlOrBinOp.h.

Author

Generated automatically by Doxygen for EO from the source code.